Skip to main content
`Ctrl`+`K`

# PCMGCoarseSpaceConstructorFn

A function prototype for functions registered with `PCMGRegisterCoarseSpaceConstructor()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode PCMGCoarseSpaceConstructorFn(PC pc, PetscInt l, DM dm, KSP smooth, PetscInt Nc, Mat initGuess, Mat *coarseSp);

## Calling Sequence

- pc - The `PC` object

- l - The multigrid level, 0 is the coarse level

- dm - The `DM` for this level

- smooth - The level smoother

- Nc - The size of the coarse space

- initGuess - Basis for an initial guess for the space

- coarseSp - A basis for the computed coarse space

## See Also

KSP: Linear System Solvers, `PCMGRegisterCoarseSpaceConstructor()`, `PCMGGetCoarseSpaceConstructor()`

## Level

beginner

## Location

include/petscksp.h

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages